
deploy_nodejs5_jdk_adk25:
  stage: deploy
  tags:
    - vagrant
    - develop19216822423
  script:
    - vagrant box remove henrietta/nodejs5_jdk_adk25 || true
    - vagrant box add henrietta/nodejs5_jdk_adk25 file:///var/www/html/dev/vagrant/nodejs5_jdk_adk25.box
build_nodejs5_jdk_adk25:
  stage: build
  tags:
    - vagrant
    - develop19216822423
  before_script:
    - cp *.sh nodejs5_jdk_adk25/
    - cp SkeletonVagrantfile nodejs5_jdk_adk25/Vagrantfile
    - cd $CI_PROJECT_DIR
    - cd nodejs5_jdk_adk25
    - python ../make.py meta
    - cd ..
  script:
    - cd $CI_PROJECT_DIR
    - cd nodejs5_jdk_adk25
    - vagrant up
    - vagrant package --out nodejs5_jdk_adk25.box
    - mv -f nodejs5_jdk_adk25.box /var/www/html/dev/vagrant/nodejs5_jdk_adk25.box
  after_script:
    - cd $CI_PROJECT_DIR
    - cd nodejs5_jdk_adk25
    - vagrant destroy -f
